#include "stoper.h"
#include "ui_stoper.h"
#include <Windows.h>
#include <string>
#include <cstdlib>
#include <QMessageBox>
QString css="";

stoper::stoper(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::stoper)
{
    ui->setupUi(this);
    ui->przycisk->setHidden(1);
    ui->pole_kolor->setAlignment(Qt::AlignCenter);
    timer = new QTimer(this);
    connect(timer, &QTimer::timeout, this, &stoper::showTime);

    timer->start(100); //czas odswiezania suwakow i wyswietlaczy
}

stoper::~stoper()
{
    delete ui;
}

void stoper::showTime()
{
    int r=ui->suwak_r->value();
    int g=ui->suwak_g->value();
    int b=ui->suwak_b->value();

    css="background-color:rgb("+QString::number(r)+","+QString::number(g)+","+QString::number(b)+");"+"color:rgb("+QString::number(255-r)+","+QString::number(255-g)+","+QString::number(255-b)+")";
    ui->pole_kolor->setStyleSheet(css);

   // ui->pole_kolor->setStyleSheet("background-color:rgb("+QString::number(r)+","+QString::number(g)+","+QString::number(b)+")");
    ui->wyswietlacz_r->display(r);
    ui->wyswietlacz_g->display(g);
    ui->wyswietlacz_b->display(b);
}

void stoper::on_przycisk_clicked()
{
   // QMessageBox msgBox;
   // msgBox.setText(css);
   // msgBox.exec();
}


